using System;

namespace CoverageFramework.Model
{
	[Serializable]
	public class CoverageInfomation
	{
		public CodePosition EntirePosition;
		public CodePosition Position;
		public CoverageState State;
		public string Tag;

		public CoverageInfomation(CodePosition pos, string tag)
			: this(pos, pos, tag)
		{
		}

		public CoverageInfomation(CodePosition entierPos, CodePosition pos, string tag)
		{
			EntirePosition = entierPos;
			Position = pos;
			Tag = tag.EndsWith(">") ? tag : tag + ">";
		}
	}
}